Bug 322821 - Make volume controllable using mouse scroll
Summary: Make volume controllable using mouse scroll
Status: RESOLVED FIXED
Alias: None
Product: plasma-mediacenter
Classification: Unclassified
Component: MediaController (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Sinny Kumari
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-25 17:41 UTC by Shantanu Tushar
Modified: 2014-03-03 15:21 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Shantanu Tushar 2013-07-25 17:41:28 UTC
I should be able to control the volume if I goto the volume icon and scroll up/down

Reproducible: Always
Comment 1 rukshan 2014-02-28 19:57:40 UTC
hi,
 we can implement this by adding onWheel() action to the qml. but current my pcm working with qt 4.8 and it doesn't support onWheel action inside mouseArea. but it is work for qt 5.0. is there any way to fix this? any help and suggestions?
Comment 2 Shantanu Tushar 2014-03-01 03:29:39 UTC
The media browser's GridView already supports mouse wheel, you can use the same thing here as well.
Comment 3 rukshan 2014-03-01 06:01:46 UTC
Thanks Shantanu Tushar. with your hint i could the solve the problem. now bug is fixed.
Comment 4 Shantanu Tushar 2014-03-01 06:06:08 UTC
Cool! please update your patch at http://git.reviewboard.kde.org/
Comment 5 rukshan 2014-03-01 06:53:51 UTC
hi, when i try to create new review request selecting Repository:plasma-media center and setting the diff: as changed qml source file, it give "The selected file does not appear to be a diff."

then how to do this?
Comment 6 Shantanu Tushar 2014-03-01 06:55:57 UTC
It actually needs a diff file. To generate that, run "git diff" after making your changes and then upload that output as a file.
Comment 7 rukshan 2014-03-01 07:09:24 UTC
Thanks Tushar. i upload as you said. If anythings that make you confuse,
replay me.

Thanks and regards.


On Sat, Mar 1, 2014 at 12:25 PM, Shantanu Tushar <shantanu@kde.org> wrote:

> https://bugs.kde.org/show_bug.cgi?id=322821
>
> --- Comment #6 from Shantanu Tushar <shantanu@kde.org> ---
> It actually needs a diff file. To generate that, run "git diff" after
> making
> your changes and then upload that output as a file.
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
>
Comment 8 Shantanu Tushar 2014-03-03 15:21:31 UTC
Git commit a76d23770ae075c55d0b3cc063cc1a073c639ad6 by Shantanu Tushar.
Committed on 03/03/2014 at 15:20.
Pushed by shantanu into branch 'master'.

Implement change volume on mouse wheel when top of the voulume icon.

Patch by Rukshan Chathuranga <rcrukshan17@gmail.com>.
Welcome to KDE :)

REVIEW: 116517

M  +23   -1    mediaelements/mediacontroller/MediaController.qml

http://commits.kde.org/plasma-mediacenter/a76d23770ae075c55d0b3cc063cc1a073c639ad6